%define apiver %(echo %version | cut -d. -f1-2)
Name:          postgis
Version:       3.5.3
Release:       1mamba
Summary:       PostGIS adds support for geographic objects to the PostgreSQL object-relational database
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://postgis.net
Source:        http://download.osgeo.org/postgis/source/postgis-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcxx-devel
BuildRequires: libcxxabi-devel
BuildRequires: libgcc
BuildRequires: libgdal-devel
BuildRequires: libgeos-devel
BuildRequires: libicu-devel
BuildRequires: libjson-c-devel
BuildRequires: libpcre2-devel
BuildRequires: libpostgresql-devel
BuildRequires: libproj-devel
BuildRequires: libprotobuf-c-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: libgdal-devel >= 0:3.10.2-1mamba
BuildRequires: libproj-devel >= 9.1.1
BuildRequires: libcfitsio-devel >= 4.1.0
BuildRequires: libprotobuf-c-devel

%description
PostGIS adds support for geographic objects to the PostgreSQL object-relational database. In effect, PostGIS "spatially enables" the PostgreSQL server, allowing it to be used as a backend spatial database for geographic information systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS "Simple Features Specification for SQL" and has been certified as compliant with the "Types and Functions" profile.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%configure \
   --with-geosconfig=%{_bindir}/geos-config \
   CXXFLAGS="%{optflags} -std=c++17"

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/postgis
%{_bindir}/postgis_restore
%{_bindir}/raster2pgsql
%{_bindir}/pgsql2shp
%{_bindir}/pgtopo_*
%{_bindir}/shp2pgsql
%dir %{_libdir}/postgresql
%{_libdir}/postgresql/*.so
%dir %{_libdir}/postgresql/bitcode
%{_libdir}/postgresql/bitcode/*
%dir %{_datadir}/postgresql
%{_datadir}/postgresql/*
%{_mandir}/man1/pgsql2shp.1*
%{_mandir}/man1/pgtopo_export.1*
%{_mandir}/man1/pgtopo_import.1*
%{_mandir}/man1/postgis.1*
%{_mandir}/man1/postgis_restore.1*
%{_mandir}/man1/shp2pgsql.1*
%{_docdir}/postgresql/extension/README.address_standardizer
%doc COPYING CREDITS

%changelog
* Fri May 23 2025 Automatic Build System <autodist@openmamba.org> 3.5.3-1mamba
- automatic version update by autodist

* Sun Apr 06 2025 Automatic Build System <autodist@mambasoft.it> 3.5.2-2mamba
- rebuilt by autoport with build requirements: libgdal-devel>=0:3.10.2-1mamba

* Sun Jan 19 2025 Automatic Build System <autodist@openmamba.org> 3.5.2-1mamba
- automatic version update by autodist

* Mon Dec 23 2024 Automatic Build System <autodist@openmamba.org> 3.5.1-1mamba
- automatic version update by autodist

* Fri Sep 27 2024 Automatic Build System <autodist@openmamba.org> 3.5.0-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Automatic Build System <autodist@openmamba.org> 3.4.3-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 3.4.2-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sat Jul 29 2023 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Tue May 30 2023 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Sdk Build System <sdk@mambasoft.it> 3.3.2-3mamba
- rebuilt by autoport with build requirements: libgdal-devel>=0:3.6.2-1mamba

* Tue Dec 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-2mamba
- rebuilt with libproj 9.1.1

* Mon Nov 14 2022 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Sun Jul 24 2022 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Mon May 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-3mamba
- rebuilt by autoport with build requirements: libgdal-devel>=3.5.0-1mamba

* Wed Apr 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- rebuilt with libcfitsio 4.1.0

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sun Dec 19 2021 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Thu Jun 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Sat Dec 26 2020 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-2mamba
- rebuilt with libproj 6.3.2

* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Sun Feb 23 2020 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Thu Sep 19 2019 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2019 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Thu Nov 22 2018 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2018 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Wed Nov 22 2017 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Mon Dec 12 2016 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Fri Sep 30 2016 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-2mamba
- rebuilt by autoport with build requirements: libcfitsio-devel>=3.390-1mamba

* Tue May 17 2016 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Oct 27 2015 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic update by autodist

* Sat Jan 10 2015 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic update by autodist

* Fri Sep 12 2014 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Wed Apr 02 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Tue Aug 21 2012 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Wed Mar 07 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.5.3-1mamba
- package created by autospec
